using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PenAttention
{
    public partial class frmAbout : Form
    {
        public frmAbout()
        {
            InitializeComponent();
        }

        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            try
            {
                VisitLink();
            }
            catch (Exception ex)
            {
                MessageBox.Show("Unable to open link that was clicked: " + ex.ToString());
            }

        }

        private void frmAbout_Load(object sender, EventArgs e)
        {
            txtRambling.Text = "This program will display a highlight, pencil, or pointer at the location of the mouse cursor.  It's an offshoot of PenAttention which was designed for Tablet PC's. The program is intended for use in presentations so your audience can see what you're pointing at on the screen - with a Tablet PC pen, most programs show the pen's location with an eensy-weenie-teenie-tiny dot that is almost impossible to see on a projector screen.\r\n\r\nIf the program does not highlight the pen then you can select the option to highlight the mouse and this should include the pen. This is necessary for some hardware such as a Wacom external tablet.\r\n\r\nThis version has been updated to work correctly with multiple monitors and scaling, which is common now with high-resolution displays. The extended highlight and presentation mode features have been removed.\r\n\r\nA major limitation that remains is the program does not work correctly with 64 bit apps. This means you should install 32 bit versions of the apps you want to present with the highlight. This includes Microsoft Office.  You can find out which version of Office you are running from the F)ile, A)ccount option on Office apps.  Sorry! I am still looking for a 64 bit fix.  The issue is pen events are not being correctly detected on 64 bit.\r\n\r\nYou can toggle the highlight with Ctrl-F9 or Ctrl-Alt-F9. You can replace the highlight with a custom pencil image if the PNG image of your choice is in a file named 'CustomPen.png' and it is placed in the installation directory.\r\n\r\nPortions Copyright  2002-2004 Rui Godinho Lopes and Copyright  2015 George Mamaladze, MIT License.";
            //txtRambling.Text = "I got my first Tablet PC in 2003 (long live the TC1100!) and it quickly replaced the whiteboard for use in teaching my classes.  One thing bugged me though, the TINY LITTLE DOT that is used for the pen's pointer in OneNote or Journal.  It's bareeeellyyy visible when shown on a projector, and that's only if you squint your eyes.  I've gotten in the klunky habit of using the eraser in hover mode to point at things on the screen that I want my audience to see.  Requests were made to Microsoft to make the cursor icon modifiable, but sadly, no love was shown in return. " + Environment.NewLine + Environment.NewLine + 
            //    "I would like to write that I then engaged in a grueling, life-long quest to solve this problem, but it's not true.  I gave up and just dealt with it until I read a blog post about big red cursors and it reminded me about the pen problem.  Suddenly, I had some brain activity -- \"Gee, maybe I could make my own program to highlight then pen?\"  Yes, that's right, after FIVE years the computer scientist that I am finally got the bright idea to write a program myself.  One afternoon of hacking later, and PenAttention is the result!" +
            //    Environment.NewLine + Environment.NewLine + "Oh yeah, this program will bump up your CPU usage around 5% while you're doing lots of inking or if you move the mouse around like a crazy person.  It's zero when there's no mouse or pen activity.  If there is interest, a future version will be more efficient, but in the meantime at least your audience will be able to see what the heck you're pointing at with your pen during your presentations.";
        }

        private void VisitLink()
        {
            // Change the color of the link text by setting LinkVisited 
            // to true.
            linkLabel1.LinkVisited = true;
            //Call the Process.Start method to open the default browser 
            //with a URL:
            System.Diagnostics.Process.Start("http://www.cse.uaa.alaska.edu/~afkjm/PenAttention");
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void linkLabel2_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            try
            {
                VisitEmail();
            }
            catch (Exception ex)
            {
                MessageBox.Show("Unable to open link that was clicked: " + ex.ToString());
            }
        }

        private void VisitEmail()
        {
            // Change the color of the link text by setting LinkVisited 
            // to true.
            linkLabel2.LinkVisited = true;
            //Call the Process.Start method to open the default browser 
            //with a URL:
            System.Diagnostics.Process.Start("mailto:kenrick@acm.org");
        }
    }
}