﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

// The purpose of this form is to pop up a window to select the displayable area
// on the primary display so we can map it to the area on the extended display
namespace PenAttention
{
    public partial class frmExtendedConfig : Form
    {
        frmAttention main = null;

        public frmExtendedConfig()
        {
            InitializeComponent();
        }
        public frmExtendedConfig(frmAttention mainfrm)
        {
            main = mainfrm;
            InitializeComponent();
            lblCoordinates.Text = "Upper left = (" + main.primaryX + "," + main.primaryY + ") " +
                " Width = " + main.primaryWidth + " Height = " + main.primaryHeight;
        }

        private void btnShowTransparentForm_Click(object sender, EventArgs e)
        {
            this.WindowState = FormWindowState.Minimized;
            Application.DoEvents();
            frmSelectDisplayArea fsda = new frmSelectDisplayArea(main);
            fsda.ShowDialog();

            this.WindowState = FormWindowState.Normal;
            Application.DoEvents();
            lblCoordinates.Text = "Upper left = (" + main.primaryX + "," + main.primaryY + ") " +
                " Width = " + main.primaryWidth + " Height = " + main.primaryHeight;
        }

        // Recalculate mappings then close
        private void btnClose_Click(object sender, EventArgs e)
        {
            if (Screen.AllScreens.Length > 1)
            {                
                main.extendedEnabled = true;
                main.showExtendedForm();
                main.calcScreenMappings();
                PenAttention.Properties.Settings.Default.extendedDisplay = true;
            }
            PenAttention.Properties.Settings.Default.primaryX = main.primaryX;
            PenAttention.Properties.Settings.Default.primaryY = main.primaryY;
            PenAttention.Properties.Settings.Default.primaryWidth = main.primaryWidth;
            PenAttention.Properties.Settings.Default.primaryHeight = main.primaryHeight;
            PenAttention.Properties.Settings.Default.Save();
            this.Close();
        }
    }
}
